# $Revision: 1.24 $, $Date: 2007-12-26 22:50:29 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	GPG
Summary:	Crypt::GPG Perl module - an object oriented interface to GnuPG
Summary(pl.UTF-8):	Moduł Perla Crypt::GPG - obiektowo zorientowany interfejs do GnuPG
Name:		perl-Crypt-GPG
Version:	1.63
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9a2ab2edf9740cfef789f17c998f3fe2
URL:		http://search.cpan.org/dist/Crypt-GPG/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Expect >= 1.15
BuildRequires:	perl-TimeDate
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Crypt::GPG module provides near complete access to GnuPG
functionality through an object oriented interface. It provides
methods for encryption, decryption, signing, signature verification,
key generation, key export and import, and most other key management
functions. This module works almost identically to its cousin,
Crypt::PGP5. The two modules together provide a uniform interface to
deal with both PGP and GnuPG. Eventually, these modules will be folded
into a single module which will interface with GnuPG as well as all
versions of PGP.

%description -l pl.UTF-8
Moduł Crypt::GPG daje prawie całkowity dostęp do funkcjonalności GnuPG
poprzez zorientowany obiektowo interfejs. Udostępnia metody do
szyfrowania, odszyfrowywania, podpisywania, weryfikacji podpisów,
generowania kluczy, eksportowania i importowania kluczy oraz wielu
innych funkcji związanych z zarządzaniem kluczami. Ten moduł działa
prawie identycznie jak jego kuzyn, Crypt::PGP5. Oba moduły razem dają
jednolity interfejs do obsługi PGP i GnuPG. Być może te zostaną one
połączone w jeden moduł, będący interfejsem jednocześnie do GnuPG i
wszystkich wersji PGP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
# test disabled by default - it calls gpg, creates keyring etc.
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Crypt/GPG.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-GPG.spec,v $
Revision 1.24  2007-12-26 22:50:29  zbyniu
- up to 1.63; generic URL

Revision 1.23  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.21  2005/05/29 14:59:38  petec
- up to 1.52; changed %doc

Revision 1.20  2004/11/03 22:30:12  paladine
- formatting

Revision 1.19  2004/06/05 18:10:35  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.18  2004/06/02 08:19:46  ankry
- removed unnecessary R/BR, rel.++

Revision 1.17  2004/05/07 01:09:17  ankry
- rel. 3

Revision 1.16  2004/05/06 18:09:23  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/19 20:14:25  ankry
- license fixes and unification

Revision 1.14  2004/04/14 11:42:38  ankry
- caps and other cosmetics

Revision 1.13  2004/03/13 23:09:14  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.12  2003/08/18 08:08:35  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 18:46:30  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/25 00:37:42  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:28:50  ankry
- massive attack: change CPAN URLs

Revision 1.5  2003/01/07 13:19:08  mis
- autoupdated to 1.42

Revision 1.4  2002/09/26 13:43:25  ankry
- fixed BR

Revision 1.3  2002/09/26 13:38:20  ankry
- version 1.40

Revision 1.2  2002/08/07 10:56:29  radek
- removed README, it's the same as man page

Revision 1.1  2002/07/29 22:33:53  qboosh
- new
